Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IIOP_Connector Class Reference

IIOP-specific Connector bridge for pluggable protocols. More...

`#include <IIOP_Connector.h>`

Inheritance diagram for TAO_IIOP_Connector

[legend]
Collaboration diagram for TAO_IIOP_Connector:

[legend]
List of all members.

## Public Types
typedef TAO_Connect_Concurrency_Strategy< TAO_IIOP_Connection_Handler> | TAO_IIOP_CONNECT_CONCURRENCY_STRATEGY
typedef TAO_Connect_Creation_Strategy< TAO_IIOP_Connection_Handler> | TAO_IIOP_CONNECT_CREATION_STRATEGY
typedef ACE_Connect_Strategy< TAO_IIOP_Connection_Handler, ACE_SOCK_CONNECTOR> | TAO_IIOP_CONNECT_STRATEGY
typedef ACE_Strategy_Connector< TAO_IIOP_Connection_Handler, ACE_SOCK_CONNECTOR> | TAO_IIOP_BASE_CONNECTOR
## Public Methods
| TAO_IIOP_Connector (CORBA::Boolean flag = 0)
| Constructor.
| ~TAO_IIOP_Connector (void)
| Destructor.
int | open (TAO_ORB_Core *orb_core)
| Initialize object and register with reactor.
int | close (void)
| Shutdown Connector bridge and concrete Connector.
int | connect (TAO_GIOP_Invocation *invocation, TAO_Transport_Descriptor_Interface *desc, CORBA::Environment &ACE_TRY_ENV)
int | preconnect (const char *preconnections)
| Initial set of connections to be established.
TAO_Profile* | create_profile (TAO_InputCDR& cdr)
| Create a profile for this protocol and initialize it based on the encapsulation in <cdr>.
virtual int | check_prefix (const char *endpoint)
| Check that the prefix of the provided endpoint is valid for use with a given pluggable protocol.
virtual char | object_key_delimiter (void) const
| Return the object key delimiter to use or expect.
## Protected Methods
virtual TAO_Profile* | make_profile (CORBA::Environment &ACE_TRY_ENV)
| More TAO_Connector methods, please check the documentation on Pluggable.h.
int | init_tcp_properties (void)
| Obtain tcp properties that must be used by this connector, i.e., initialize <tcp_properties_>.
## Protected Attributes
TAO_IIOP_Properties | tcp_properties_
| TCP configuration properties to be used for all connections established by this connector.
CORBA::Boolean | lite_flag_
| Do we need to use a GIOP_Lite for sending messages?
## Private Attributes
TAO_IIOP_CONNECT_STRATEGY | connect_strategy_
| Our connect strategy.
TAO_IIOP_BASE_CONNECTOR | base_connector_
| The connector initiating connection requests for IIOP.

## Detailed Description

IIOP-specific Connector bridge for pluggable protocols.

Concrete instance of the TAO_Connector class. Responsible for establishing a connection with a server and is called from the Connector_Registory.

## Member Typedef Documentation

typedef ACE_Strategy_Connector<TAO_IIOP_Connection_Handler, ACE_SOCK_CONNECTOR> TAO_IIOP_Connector::TAO_IIOP_BASE_CONNECTOR

typedef TAO_Connect_Concurrency_Strategy<TAO_IIOP_Connection_Handler> TAO_IIOP_Connector::TAO_IIOP_CONNECT_CONCURRENCY_STRATEGY

typedef TAO_Connect_Creation_Strategy<TAO_IIOP_Connection_Handler> TAO_IIOP_Connector::TAO_IIOP_CONNECT_CREATION_STRATEGY

typedef ACE_Connect_Strategy<TAO_IIOP_Connection_Handler, ACE_SOCK_CONNECTOR> TAO_IIOP_Connector::TAO_IIOP_CONNECT_STRATEGY

## Constructor & Destructor Documentation

TAO_IIOP_Connector::TAO_IIOP_Connector ( | CORBA::Boolean flag = 0 )`[inline]`

| Constructor.

TAO_IIOP_Connector::~TAO_IIOP_Connector ( | void )

| Destructor.

## Member Function Documentation

int TAO_IIOP_Connector::check_prefix ( | const char * endpoint )`[virtual]`

| Check that the prefix of the provided endpoint is valid for use with a given pluggable protocol. Reimplemented from TAO_Connector.

int TAO_IIOP_Connector::close ( | void )`[virtual]`

| Shutdown Connector bridge and concrete Connector. Reimplemented from TAO_Connector.

int TAO_IIOP_Connector::connect ( | TAO_GIOP_Invocation * invocation,
| TAO_Transport_Descriptor_Interface * desc,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| To support pluggable we need to abstract away the connect() method so it can be called from the GIOP code independant of the actual transport protocol in use. Reimplemented from TAO_Connector.

TAO_Profile * TAO_IIOP_Connector::create_profile ( | TAO_InputCDR & cdr )`[virtual]`

| Create a profile for this protocol and initialize it based on the encapsulation in <cdr>. Reimplemented from TAO_Connector.

int TAO_IIOP_Connector::init_tcp_properties ( | void )`[protected]`

| Obtain tcp properties that must be used by this connector, i.e., initialize <tcp_properties_>.

TAO_Profile * TAO_IIOP_Connector::make_profile ( | CORBA::Environment & ACE_TRY_ENV )`[protected, virtual]`

| More TAO_Connector methods, please check the documentation on Pluggable.h. Reimplemented from TAO_Connector.

char TAO_IIOP_Connector::object_key_delimiter ( | void ) const`[virtual]`

| Return the object key delimiter to use or expect. Reimplemented from TAO_Connector.

int TAO_IIOP_Connector::open ( | TAO_ORB_Core * orb_core )`[virtual]`

| Initialize object and register with reactor. Reimplemented from TAO_Connector.

int TAO_IIOP_Connector::preconnect ( | const char * preconnects )`[virtual]`

| Initial set of connections to be established. Reimplemented from TAO_Connector.

## Member Data Documentation

TAO_IIOP_BASE_CONNECTOR TAO_IIOP_Connector::base_connector_`[private]`

| The connector initiating connection requests for IIOP.

TAO_IIOP_CONNECT_STRATEGY TAO_IIOP_Connector::connect_strategy_`[private]`

| Our connect strategy.

CORBA::Boolean TAO_IIOP_Connector::lite_flag_`[protected]`

| Do we need to use a GIOP_Lite for sending messages?

TAO_IIOP_Properties TAO_IIOP_Connector::tcp_properties_`[protected]`

| TCP configuration properties to be used for all connections established by this connector.

The documentation for this class was generated from the following files:

- IIOP_Connector.h
- IIOP_Connector.cpp